<?php

function wfmtest_debug( $data ) {
	echo '<pre>' . print_r( $data, 1 ) . '</pre>';
}

function wfmtest_scripts() {
	wp_enqueue_style( 'wfmtest-bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.min.css' );
//	wp_enqueue_style('wfmtest-main', get_template_directory_uri() . '/assets/css/main.css');
	wp_enqueue_style( 'wfmtest-style', get_stylesheet_uri(), array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_script( 'jquery' );

	wp_enqueue_script( 'wfmtest-main', get_template_directory_uri() . '/assets/js/main.js', array(), false, true );
	wp_enqueue_script( 'wfmtest-bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array(), false, true );
}

add_action( 'wp_enqueue_scripts', 'wfmtest_scripts' );

add_filter( 'excerpt_more', function ( $more ) {
	return '...';
} );

function wfmtest_get_human_time() {
	$time_diff = human_time_diff( get_post_time( 'U' ), current_time( 'timestamp' ) );

	return "Опубликовано $time_diff назад.";
}

function wfmtest_setup() {
	add_theme_support( 'post-thumbnails' );
}

add_action( 'after_setup_theme', 'wfmtest_setup' );

function wfmtest_post_thumb($id, $size = 'full', $wrapper_class = 'card-thumb') {
//	global $post;
	$html = '<div class="' . $wrapper_class . '">';
	if ( has_post_thumbnail() ) {
		$html .= get_the_post_thumbnail( $id, $size );
	} else {
		$html .= '<img src="https://picsum.photos/1200/900?grayscale" alt="" width="1200" height="900">';
	}
	$html .= '</div>';

	return $html;
}
